Name:		blop
Version:	0.2.8
Release:	1mdk

Summary:	Bandlimited LADSPA Oscillator Plugins
License:	GPL
Group:		Sound
URL:		http://blop.sourceforge.net/

Source0:	%{name}-%{version}.tar.bz2
#Patch0:	blop-0.2.7-compile.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ladspa-devel
Requires:	ladspa

%description
BLOP comprises a set of LADSPA plugins that generate bandlimited
sawtooth, square, variable pulse and slope-variable triangle waves,
for use in LADSPA hosts, principally for use with one of the many
modular software synthesisers available.

They are wavetable based, and are designed to produce output with
harmonic content as high as possible over a wide pitch range.

%prep
%setup -q
#%patch0 -p1

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ladspa
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ladspa/rdf
%{makeinstall_std}

# install the rdf description
install -m0644 doc/blop.rdf $RPM_BUILD_ROOT%{_datadir}/ladspa/rdf
# we don't want to package makefiles in the doc
#rm -f doc/Makefile*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README THANKS TODO doc/{about.txt,blop.rdf,plugins_list.txt}
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*.so
%dir %{_libdir}/ladspa/blop_files
%{_libdir}/ladspa/blop_files/*.so
%{_datadir}/ladspa/rdf/*.rdf

%changelog
* Wed Jul 28 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.8-1mdk
- 0.2.8
- add translations
- drop P0 (fixed upstream)
- drop some docs we really don't need
- make package short-circuitable
- cosmetics

* Sat Nov 08 2003 Michael Scherer <scherer.michael@free.fr> 0.2.7-2mdk
- BuildRequires ( ladspa-devel )

* Mon Oct 13 2003 Austin Acton <aacton@yorku.ca> 0.2.7-1mdk
- playing catchup with CCRMA ;-)

* Thu May  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.7-1
- updated to 0.2.7

* Fri Feb 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.6
- initial build
